Package com.sun.jna.platform.bsd

# Class ExtAttrUtil

java.lang.Object
com.sun.jna.platform.bsd.ExtAttrUtil

public class ExtAttrUtil extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtAttrUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `delete(String path, String name)`
  `static ByteBuffer`
  `get(String path, String name)`
  `static List<String>`
  `list(String path)`
  `static void`
  `set(String path, String name, ByteBuffer value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtAttrUtil

    public ExtAttrUtil()

- ## Method Details

  - ### list

    public static List<String> list(String path) throws IOException
    Throws:
      `IOException`

  - ### get

    public static ByteBuffer get(String path, String name) throws IOException
    Throws:
      `IOException`

  - ### set

    public static void set(String path, String name, ByteBuffer value) throws IOException
    Throws:
      `IOException`

  - ### delete

    public static void delete(String path, String name) throws IOException
    Throws:
      `IOException`